# Transfer between wallets

### URI

&#x20;<mark style="color:blue;background-color:blue;">**POST**</mark>&#x20;

```
https://api.tryduplo.com/v1/wallets/transfer-p2p
```

### Parameters

#### Header

<table data-header-hidden><thead><tr><th width="249"></th><th></th></tr></thead><tbody><tr><td><strong>Authorization</strong><br><code>string</code></td><td>set value to <code>Bearer SECRET_KEY</code></td></tr></tbody></table>

#### Body Param

<table data-header-hidden><thead><tr><th width="250"></th><th></th></tr></thead><tbody><tr><td><strong>business_id</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Merchant Business ID</td></tr><tr><td><strong>sender_ref</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Wallet reference of the sender wallet</td></tr><tr><td><strong>receiver_ref</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Wallet reference of the receiver wallet</td></tr><tr><td><strong>amount</strong><br><code>number</code> <mark style="color:red;"><code>required</code></mark></td><td>Amount to be transfered</td></tr><tr><td><strong>description</strong><br><code>string</code> <mark style="color:red;"><code>required</code></mark></td><td>Specify the purpose of the transaction</td></tr></tbody></table>

### Sample request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request POST 'https://api.tryduplo.com/v1/wallets/transfer-p2p' \
--header 'Authorization: Bearer SECRET_KEY' \
--header 'Content-Type: application/json' \
--data-raw '{
   "business_id": "{YOUR_VALUE}",
   "amount": 4000,
   "sender_ref": "wal_jh6ckcNWFEcb",
   "receiver_ref": "wal_QQmPOsi4VoTc",
   "description" :"David salary"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Node" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
var axios = require('axios');
var data = JSON.stringify({
 "business_id": "{YOUR_VALUE}",
 "amount": 4000,
 "sender_ref": "wal_jh6ckcNWFEcb",
 "receiver_ref": "wal_QQmPOsi4VoTc",
 "description": "David salary"
});

var config = {
 method: 'post',
 url: 'https://api.tryduplo.com/v1/wallets/transfer-p2p',
 headers: {
   'Authorization': 'Bearer SECRET_KEY',
   'Content-Type': 'application/json'
 },
 data : data
};

axios(config)
.then(function (response) {
 console.log(JSON.stringify(response.data));
})
.catch(function (error) {
 console.log(error);
});
```

{% endcode %}
{% endtab %}

{% tab title="PHP" %}
{% code overflow="wrap" lineNumbers="true" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
 CURLOPT_URL => 'https://api.tryduplo.com/v1/wallets/transfer-p2p',
 CURLOPT_RETURNTRANSFER => true,
 CURLOPT_ENCODING => '',
 CURLOPT_MAXREDIRS => 10,
 CURLOPT_TIMEOUT => 0,
 CURLOPT_FOLLOWLOCATION => true,
 CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
 CURLOPT_CUSTOMREQUEST => 'POST',
 CURLOPT_POSTFIELDS =>'{
   "business_id": "{YOUR_VALUE}",
   "amount": 4000,
   "sender_ref": "wal_jh6ckcNWFEcb",
   "receiver_ref": "wal_QQmPOsi4VoTc",
   "description" :"David salary"
}',
 CURLOPT_HTTPHEADER => array(
   'Authorization: Bearer SECRET_KEY',
   'Content-Type: application/json'
 ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Duplo Response

```json
{
   "data": {},
   "errors": {},
   "message": "Transaction request successful"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.tryduplo.com/duplo-api-documentation/payment-apis/collect-payments/digital-wallets/p2p-transfer-between-wallets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
